Timothy Pearson (tpearson(a)raptorengineeringinc.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/11903
-gerrit
commit eb2cf53efe43d782da0241017f8518cc969feac3
Author: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
Date: Wed Oct 14 15:41:49 2015 -0500
cpu/microcode: Remove EXTERNAL / ADDED_DURING_BUILD variables
There has been a concerted effort to clean up coreboot's microcode
handling that has included a move away from coreboot-specific
microcode file collections. As a result, the ability to specify
a single microcode file to be added to the image is of less utility
than before.
NOTE: This patch remove the built-in external microcode feature,
however the user can still specify no microcode during build and
manually add the correct microcode file(s) to the CBFS image after
the build is complete.
Change-Id: Ifea94c21e531a74953f5a0e2f489378c20ef3b5c
Signed-off-by: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
---
Makefile.inc | 2 +-
src/cpu/Kconfig | 32 --------------------------------
src/cpu/Makefile.inc | 14 ++------------
3 files changed, 3 insertions(+), 45 deletions(-)
diff --git a/Makefile.inc b/Makefile.inc
index feadd0d..de148cb 100644
--- a/Makefile.inc
+++ b/Makefile.inc
@@ -634,7 +634,7 @@ ifeq ($(CONFIG_PXE_ROM),y)
$(CBFSTOOL) $@.tmp add -f $(CONFIG_PXE_ROM_FILE) -n pci$(CONFIG_PXE_ROM_ID).rom -t raw
endif
ifeq ($(CONFIG_CPU_INTEL_FIRMWARE_INTERFACE_TABLE),y)
-ifeq ($(CONFIG_CPU_MICROCODE_ADDED_DURING_BUILD),y)
+ifeq ($(CONFIG_CPU_MICROCODE_CBFS_GENERATE),y)
@printf " UPDATE-FIT \n"
$(CBFSTOOL) $@.tmp update-fit -n cpu_microcode_blob.bin -x $(CONFIG_CPU_INTEL_NUM_FIT_ENTRIES)
endif
diff --git a/src/cpu/Kconfig b/src/cpu/Kconfig
index 578bab2..9b9413c 100644
--- a/src/cpu/Kconfig
+++ b/src/cpu/Kconfig
@@ -67,17 +67,6 @@ config SUPPORT_CPU_UCODE_IN_CBFS
bool
default n
-# This variable is used to determine if we add CPU microcode to CBFS during the
-# build. Microcode can be added manually afterwards, or removed. As a result,
-# code should not rely on this to tell if a microcode update is present or not,
-# and should instead search CBFS.
-# This variable is useful in determining if certain automated post-processing
-# steps can be performed right after the build, such as automatically adding
-# a firmware interface table.
-config CPU_MICROCODE_ADDED_DURING_BUILD
- bool
- default y if CPU_MICROCODE_CBFS_GENERATE || CPU_MICROCODE_CBFS_EXTERNAL
-
choice
prompt "Include CPU microcode in CBFS" if ARCH_X86
default CPU_MICROCODE_CBFS_GENERATE if SUPPORT_CPU_UCODE_IN_CBFS && USE_BLOBS
@@ -95,20 +84,6 @@ config CPU_MICROCODE_CBFS_GENERATE
If unsure, select this option.
-config CPU_MICROCODE_CBFS_EXTERNAL
- bool "Include external microcode file"
- help
- Select this option if you want to include an external file containing
- the CPU microcode. This will be included as a separate file in CBFS.
- A word of caution: only select this option if you are sure the
- microcode that you have is newer than the microcode shipping with
- coreboot.
-
- The microcode file may be removed from the ROM image at a later
- time with cbfstool, if desired.
-
- If unsure, select "Generate from tree"
-
config CPU_MICROCODE_CBFS_NONE
bool "Do not include microcode updates"
help
@@ -160,10 +135,3 @@ config CPU_MICROCODE_MULTIPLE_FILES
help
Select this option to install separate microcode container files into
CBFS instead of using the traditional monolithic microcode file format.
-
-config CPU_MICROCODE_FILE
- string "Path and filename of CPU microcode"
- depends on CPU_MICROCODE_CBFS_EXTERNAL
- default "cpu_microcode.bin"
- help
- The path and filename of the file containing the CPU microcode.
diff --git a/src/cpu/Makefile.inc b/src/cpu/Makefile.inc
index 52b58f7..517cbfa 100644
--- a/src/cpu/Makefile.inc
+++ b/src/cpu/Makefile.inc
@@ -17,17 +17,8 @@ $(eval $(call create_class_compiler,cpu_microcode,x86_32))
## Rules for building the microcode blob in CBFS
################################################################################
-# External microcode file, or are we generating one ?
-ifeq ($(CONFIG_CPU_MICROCODE_CBFS_EXTERNAL), y)
-cpu_ucode_cbfs_file = $(call strip_quotes,$(CONFIG_CPU_MICROCODE_FILE))
-cbfs_include_ucode = y
-endif
-
-ifeq ($(CONFIG_CPU_MICROCODE_CBFS_GENERATE), y)
ifneq ($(CONFIG_CPU_MICROCODE_MULTIPLE_FILES), y)
-cpu_ucode_cbfs_file = $(obj)/cpu_microcode_blob.bin
-cbfs_include_ucode = y
-endif
+cbfs-files-$(CONFIG_CPU_MICROCODE_CBFS_GENERATE) += cpu_microcode_blob.bin
endif
# We just mash all microcode binaries together into one binary to rule them all.
@@ -42,8 +33,7 @@ $(obj)/cpu_microcode_blob.bin: $$(cpu_microcode_bins)
@echo $(cpu_microcode_bins)
cat /dev/null $+ > $@
-cbfs-files-$(cbfs_include_ucode) += cpu_microcode_blob.bin
-cpu_microcode_blob.bin-file := $(cpu_ucode_cbfs_file)
+cpu_microcode_blob.bin-file := $(obj)/cpu_microcode_blob.bin
cpu_microcode_blob.bin-type := microcode
ifneq ($(CONFIG_CPU_MICROCODE_CBFS_LOC),)
Timothy Pearson (tpearson(a)raptorengineeringinc.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12320
-gerrit
commit 59a23170c3e45e7f42f976e9117582c184e8f725
Author: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
Date: Tue Nov 3 22:11:51 2015 -0600
mainboard/asus: Increase reboot count on boards with recovery jumper
On server boards with a recovery jumper, having the fallback path
less sensitive to power fluctuations or BMC issues makes sense.
Increase the maximum number of boot attempts before automatic
fallback to 10 on these boards.
Change-Id: Iabe0b0cbf332686db8e9380a8b65a1477173599c
Signed-off-by: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
---
src/mainboard/asus/kfsn4-dre/Kconfig | 4 ++++
src/mainboard/asus/kfsn4-dre_k8/Kconfig | 4 ++++
src/mainboard/asus/kgpe-d16/Kconfig | 4 ++++
3 files changed, 12 insertions(+)
diff --git a/src/mainboard/asus/kfsn4-dre/Kconfig b/src/mainboard/asus/kfsn4-dre/Kconfig
index 28b5dcd..5e455e0 100644
--- a/src/mainboard/asus/kfsn4-dre/Kconfig
+++ b/src/mainboard/asus/kfsn4-dre/Kconfig
@@ -93,4 +93,8 @@ config MAINBOARD_POWER_ON_AFTER_POWER_FAIL
bool
default y
+config MAX_REBOOT_CNT
+ int
+ default 10
+
endif # BOARD_ASUS_KFSN4_DRE
diff --git a/src/mainboard/asus/kfsn4-dre_k8/Kconfig b/src/mainboard/asus/kfsn4-dre_k8/Kconfig
index 39d530b..2b345ff 100644
--- a/src/mainboard/asus/kfsn4-dre_k8/Kconfig
+++ b/src/mainboard/asus/kfsn4-dre_k8/Kconfig
@@ -98,4 +98,8 @@ config MAINBOARD_POWER_ON_AFTER_POWER_FAIL
bool
default y
+config MAX_REBOOT_CNT
+ int
+ default 10
+
endif # BOARD_ASUS_KFSN4_DRE_K8
diff --git a/src/mainboard/asus/kgpe-d16/Kconfig b/src/mainboard/asus/kgpe-d16/Kconfig
index f5ff81c..29061ca 100644
--- a/src/mainboard/asus/kgpe-d16/Kconfig
+++ b/src/mainboard/asus/kgpe-d16/Kconfig
@@ -88,4 +88,8 @@ config MAINBOARD_POWER_ON_AFTER_POWER_FAIL
bool
default y
+config MAX_REBOOT_CNT
+ int
+ default 10
+
endif # BOARD_ASUS_KGPE_D16
Timothy Pearson (tpearson(a)raptorengineeringinc.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12319
-gerrit
commit 5a4e12bf380a1ba616927b3300858040f688c96d
Author: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
Date: Tue Nov 3 22:04:45 2015 -0600
src: Make maximum reboot count user configurable
Change-Id: Ibe54ed14a6500eaa4a25f33f34f3c78216e6ccd6
Signed-off-by: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
---
src/Kconfig | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/src/Kconfig b/src/Kconfig
index 865f7f5..ea0499e 100644
--- a/src/Kconfig
+++ b/src/Kconfig
@@ -1107,7 +1107,7 @@ config REG_SCRIPT
Internal option that controls whether we compile in register scripts.
config MAX_REBOOT_CNT
- int
+ int "Maximum reboot count"
default 3
help
Internal option that sets the maximum number of bootblock executions allowed
Timothy Pearson (tpearson(a)raptorengineeringinc.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12317
-gerrit
commit 23fd48ec00d7688f55fd7e33c89cb645edc8951e
Author: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
Date: Tue Nov 3 19:02:26 2015 -0600
src/amd: Increase maximum blootblock execution count
Most AMD hardware requires at minimum two warm resets
when booting from S5 (power off). This is uncomfortably
close to the maximum bootblock execution count, and has resulted
in unstable normal/fallback operation on some machines.
Increase the default max bootblock execution count before fallback
to 6. This translates to roughly 2 - 3 failed boots before fallback
mode will engage, with an absolute worst case of pushing the reset
button 5 times to engage fallback mode in the absence of a dedicated
recovery jumper.
Change-Id: I1911f1b77f168835b516e6a915d5b6949f47219a
Signed-off-by: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
---
src/northbridge/amd/amdfam10/Kconfig | 4 ++++
src/northbridge/amd/amdk8/Kconfig | 4 ++++
2 files changed, 8 insertions(+)
diff --git a/src/northbridge/amd/amdfam10/Kconfig b/src/northbridge/amd/amdfam10/Kconfig
index cc22365..0c6d289 100644
--- a/src/northbridge/amd/amdfam10/Kconfig
+++ b/src/northbridge/amd/amdfam10/Kconfig
@@ -178,4 +178,8 @@ endchoice
endmenu
+config MAX_REBOOT_CNT
+ int
+ default 6
+
endif # NORTHBRIDGE_AMD_AMDFAM10
diff --git a/src/northbridge/amd/amdk8/Kconfig b/src/northbridge/amd/amdk8/Kconfig
index d28281c..f1ee3c3 100644
--- a/src/northbridge/amd/amdk8/Kconfig
+++ b/src/northbridge/amd/amdk8/Kconfig
@@ -123,4 +123,8 @@ config CDB
hex
default 0x18
+config MAX_REBOOT_CNT
+ int
+ default 6
+
endif #NORTHBRIDGE_AMD_K8
Martin Roth (martinroth(a)google.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12318
-gerrit
commit 1186b20d793fb634c4843647152d73f795fd941d
Author: Martin Roth <martinroth(a)google.com>
Date: Tue Nov 3 21:01:53 2015 -0700
util/release: Add release notes generator script
This script generates the rough format for the release notes, and will
add new commits to the top of an existing release notes text file. At
that point, a lot still needs to be done by hand - deciding which
commits deserve to be in the release notes, and which don't.
When updating the existing release notes, The updates are just added
to the top of the file, and need to be placed manually. This just
helps prevent missed commits.
When editing the release notes, don't delete or modify the commit id
lines after they've been classified - Just move them to the bottom of
the file until the notes are ready to publish. This keeps those commits
from re-appearing at the top of the file the next time the script is run
to update the notes.
Change-Id: I0a699c528117f0347a65a3bed4402f3a57309e3c
Signed-off-by: Martin Roth <martinroth(a)google.com>
---
util/release/genrelnotes | 265 +++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 265 insertions(+)
diff --git a/util/release/genrelnotes b/util/release/genrelnotes
new file mode 100755
index 0000000..1f24a74
--- /dev/null
+++ b/util/release/genrelnotes
@@ -0,0 +1,265 @@
+#!/bin/bash
+#
+# This file is part of the coreboot project.
+#
+# Copyright 2015 Google Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+#set -x # uncomment for debug
+
+TOP=$(pwd)
+MAIN_LOGFILE="${TOP}/relnotes.txt"
+
+#check for tools
+( git --version && cloc --version ) > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+ echo "ERROR: cloc or git is not installed. Exiting"
+ exit 1
+fi
+
+#verify that the repo is clean before losing state.
+git diff-index --quiet --cached HEAD
+if [ $? -ne 0 ]; then
+ echo "ERROR: repo is not clean. Exiting."
+ exit 1
+fi
+
+#verify command line arguments
+if [ -z "$1" ] || [ -z "$2" ]; then
+echo "Usage: $0 <old_version> <new_version>"
+echo "Old version should be a tag (4.1), a branch (origin/4.1), or a commit id"
+echo "New version can be 'HEAD' a branch (origin/master) a tag (4.2), or a commit id"
+example "$0 origin/4.1 4.2"
+exit 1
+else
+ OLD_COREBOOT_VERSION="$1"
+ NEW_COREBOOT_VERSION="$2"
+fi
+
+#Figure out which logfile we're writing to.
+if [ -f "$MAIN_LOGFILE" ]; then
+ LOGFILE="$(mktemp "LOGFILE.XXXX")"
+ LOGFILE="${TOP}/$LOGFILE"
+ UPDATE_MAIN_LOGFILE=1
+else
+ LOGFILE="$MAIN_LOGFILE"
+fi
+
+#print and log the versions
+log_versions() {
+ echo "Log of commit $1 to commit $2"
+ echo "Log of commit $1 to commit $2" >> "$LOGFILE"
+ echo "Total commits: $(git log "${1}..${2}" | grep -c '^commit ' )"
+ echo "Total commits: $(git log "${1}..${2}" | grep -c '^commit ' )" >> "$LOGFILE"
+ echo
+}
+
+#get the first commit id in the current tree
+get_latest_commit_id() {
+ pushd "$1" > /dev/null
+ git log | grep '^commit ' | head -1 | sed 's/commit //'
+ popd > /dev/null
+}
+
+#main get log function
+_get_log() {
+ local oldver="$1"
+ local newver="$2"
+ local title="$3"
+ local paths="$4"
+
+ #Leave ${paths} unquoted
+ git log --abbrev-commit "${oldver}..${newver}" -- ${paths} | \
+ grep -i -A4 '^commit ' | \
+ grep -v "Author:\|Date:" | \
+ grep -v '^--' | \
+ grep -E -v '^[[:space:]]*$' | \
+ sed 's|^[[:space:]]*||g' | \
+ paste -d " " - - | \
+ sort -t ' ' -k 3 | \
+ uniq
+}
+
+#output to a new log, then compare to the first logfile, and only output
+#non duplicated lines to the final file.
+get_log_dedupe() {
+ local title="$1"
+ local paths="$2"
+ dedupe_tmpfile="$(mktemp "LOGFILE.XXXX")"
+
+ local log=$(_get_log "$OLD_COREBOOT_VERSION" "$NEW_COREBOOT_VERSION" "$title" "$paths")
+
+ echo "$log" > "$dedupe_tmpfile"
+
+ log=$(grep -Fxv -f "$LOGFILE" "$dedupe_tmpfile")
+ local commits=$(echo "$log" | wc -l)
+
+ if [ -n "$log" ]; then
+ printf "%s\n%s\n\n" "$title ($commits commits)" "$log" >> "$LOGFILE"
+ fi
+
+ rm "$dedupe_tmpfile"
+}
+
+# get logs for the submodules
+get_log_submodule() {
+ local old_version="$1"
+ local new_version="$2"
+ local submodule_dir="$3"
+
+ printf "Submodule %s\n" "$submodule_dir"
+ printf "commit %s to commit %s\n\n" "$old_version" "$new_version"
+
+ pushd "${TOP}/$submodule_dir" > /dev/null
+ local log=$(_get_log "$old_version" "$new_version" "$submodule_dir" ".")
+ local commits=$(echo "$log" | wc -l)
+
+ if [ -n "$log" ]; then
+ printf "%s\n%s\n\n" "$submodule_dir ($commits commits)" "$log" >> "$LOGFILE"
+ fi
+
+ popd > /dev/null
+}
+
+version_ctrl_c() {
+ printf "\n** Trapped CTRL-C\n Cleaning up and exiting."
+ find 'src' -name 'gnumakefile' -exec rename 's/gnumakefile/Makefile\.inc/' {} \;
+ git checkout origin/master > /dev/null 2>&1
+ git submodule update --init --checkout > /dev/null 2>&1
+ rm -f "$mainboard_list_old" "$mainboard_list_new"
+ rm "$LOGFILE"
+ exit 1;
+}
+
+trap version_ctrl_c SIGINT
+
+mainboard_list_new="$(mktemp "LOGFILE.XXXX")"
+mainboard_list_old="$(mktemp "LOGFILE.XXXX")"
+
+#check out old version and get information
+printf -- "Finding old submodule versions...\n"
+git checkout "$OLD_COREBOOT_VERSION" > /dev/null 2>&1
+git submodule update --init --checkout > /dev/null 2>&1
+BLOBS_OLD_VERSION=$(get_latest_commit_id "${TOP}/3rdparty/blobs")
+VBOOT_OLD_VERSION=$(get_latest_commit_id "${TOP}/3rdparty/vboot")
+ARM_OLD_VERSION=$(get_latest_commit_id "${TOP}/3rdparty/arm-trusted-firmware")
+NVIDIA_OLD_VERSION=$(get_latest_commit_id "${TOP}/util/nvidia/cbootimage")
+find 'src/mainboard' -name 'Kconfig.name' | sed 's|/Kconfig.name||' | sed 's|src/mainboard/|- |' | grep '/' | sort > "$mainboard_list_old"
+#because cloc works on extensions, and .inc identifies as pascal, rename Makefile.inc, then remap the other .inc files to c
+printf "Calculating old SLOC\n"
+find 'src' -name 'Makefile.inc' -exec rename 's/Makefile\.inc/gnumakefile/' {} \;
+OLD_SLOC=$(cloc --progress-rate=0 --quiet --script-lang="Bourne Shell",bash --force-lang=c,inc --exclude-dir=vendorcode src)
+find 'src' -name 'gnumakefile' -exec rename 's/gnumakefile/Makefile\.inc/' {} \;
+
+#check out new version and get information
+printf -- "\nFinding new submodule versions...\n"
+git checkout "$NEW_COREBOOT_VERSION" > /dev/null 2>&1
+git submodule update --init --checkout > /dev/null 2>&1
+BLOBS_NEW_VERSION=$(get_latest_commit_id "${TOP}/3rdparty/blobs")
+VBOOT_NEW_VERSION=$(get_latest_commit_id "${TOP}/3rdparty/vboot")
+ARM_NEW_VERSION=$(get_latest_commit_id "${TOP}/3rdparty/arm-trusted-firmware")
+NVIDIA_NEW_VERSION=$(get_latest_commit_id "${TOP}/util/nvidia/cbootimage")
+find 'src/mainboard' -name 'Kconfig.name' | sed 's|/Kconfig.name||' | sed 's|src/mainboard/|- |' | grep '/' | sort > "$mainboard_list_new"
+printf "Calculating new SLOC\n"
+find 'src' -name 'Makefile.inc' -exec rename 's/Makefile\.inc/gnumakefile/' {} \;
+NEW_SLOC=$(cloc --progress-rate=0 --quiet --script-lang="Bourne Shell",bash --force-lang=c,inc --exclude-dir=vendorcode src)
+find 'src' -name 'gnumakefile' -exec rename 's/gnumakefile/Makefile\.inc/' {} \;
+
+new_mainboards=$(grep -Fxv -f "$mainboard_list_old" "$mainboard_list_new")
+removed_mainboards=$(grep -Fxv -f "$mainboard_list_new" "$mainboard_list_old")
+
+git checkout origin/master > /dev/null 2>&1
+git submodule update --init --checkout > /dev/null 2>&1
+rm -f "$mainboard_list_old" "$mainboard_list_new"
+trap "" SIGINT
+
+#start outputting to logfile
+echo "Generating release notes from version ${OLD_COREBOOT_VERSION} to ${NEW_COREBOOT_VERSION}"
+echo; echo "Main coreboot repo"
+echo "Main coreboot repo" >> "$LOGFILE"
+echo "------------------" >> "$LOGFILE"
+log_versions "$(git log "${OLD_COREBOOT_VERSION}..${NEW_COREBOOT_VERSION}" | grep '^commit ' | tail -1 | sed 's/commit //')" "$(git log "${OLD_COREBOOT_VERSION}..${NEW_COREBOOT_VERSION}" | grep '^commit ' | head -1 | sed 's/commit //')"
+
+NOW=$(date -u)
+( echo "$NOW"; echo ) >> "$LOGFILE"
+
+#first get things that are generally outside the mainboards and architectures
+get_log_dedupe "Build system" "Makefile Makefile.inc toolchain.inc src/Kconfig src/cpu/Makefile.inc"
+get_log_dedupe "Utilities" "util/"
+get_log_dedupe "Documentation" "Documentation/ README"
+get_log_dedupe "Payloads" "payloads/"
+get_log_dedupe "Vendorcode" "src/vendorcode/"
+
+# get mainboards 2nd so that changes that are mainboard specific don't get
+# grabbed by the architectures
+get_log_dedupe "Mainboards" "src/mainboard/"
+
+#Get architectures 3rd so separate the various pieces out
+get_log_dedupe "ARM" "$(for codedir in $(grep -rl "_ARM" --include=Kconfig | grep -v 'src/mainboard\|payloads/\|drivers/\|vendorcode/\|console' ) ; do dirname "$codedir"; done | grep -v '^src$')"
+get_log_dedupe "RISC-V" "$(for codedir in $(grep -rl "_RISCV" --include=Kconfig | grep -v 'src/mainboard\|payloads/\|drivers/\|vendorcode/\|console' ) ; do dirname "$codedir"; done | grep -v '^src$')"
+get_log_dedupe "X86" "src/arch/x86 src/cpu/x86 src/cpu/intel src/soc/intel src/cpu/amd src/northbridge/intel src/northbridge/amd src/southbridge/intel src/southbridge/amd src/drivers/intel/fsp1_0 src/drivers/intel/fsp1_1 src/include/amd src/include/intel src/include/x86 src/include/pc80"
+get_log_dedupe "MIPS" "$(for codedir in $(grep -rl "_MIPS" --include=Kconfig | grep -v 'src/mainboard\|payloads/\|drivers/\|vendorcode/\|console' ) ; do dirname "$codedir"; done | grep -v '^src$')"
+
+#4th, get all the rest of the specific areas
+get_log_dedupe "ACPI" "src/acpi/"
+get_log_dedupe "Console" "src/console/ src/include/console"
+get_log_dedupe "SuperIO" "src/superio/ src/include/superio"
+get_log_dedupe "EC " "src/ec"
+get_log_dedupe "Drivers" "src/drivers/"
+get_log_dedupe "Devices" "src/device/ src/include/device"
+get_log_dedupe "Lib" "src/lib/"
+get_log_dedupe "Commonlib" "src/commonlib/"
+get_log_dedupe "Include" "src/include/"
+
+#Last, get anything that was missed above
+get_log_dedupe "MISC" "."
+
+if [ -n "$new_mainboards" ]; then
+ printf "Added %s mainboards:\n-------------------\n%s\n\n" "$(echo "$new_mainboards" | wc -l)" "$new_mainboards" >> "$LOGFILE"
+fi
+
+if [ -n "$removed_mainboards" ]; then
+ printf "Removed %s mainboards:\n---------------------\n%s\n\n" "$(echo "$removed_mainboards" | wc -l)" "$removed_mainboards" >> "$LOGFILE"
+fi
+
+# log submodules
+printf "Submodules\n----------\n" >> "$LOGFILE"
+get_log_submodule "$BLOBS_OLD_VERSION" "$BLOBS_NEW_VERSION" "3rdparty/blobs"
+get_log_submodule "$ARM_OLD_VERSION" "$ARM_NEW_VERSION" "3rdparty/arm-trusted-firmware"
+get_log_submodule "$VBOOT_OLD_VERSION" "$VBOOT_NEW_VERSION" "3rdparty/vboot"
+get_log_submodule "$NVIDIA_OLD_VERSION" "$NVIDIA_NEW_VERSION" "util/nvidia/cbootimage"
+
+printf "\ncoreboot statistics\n-------------------\n" >> "$LOGFILE"
+NEW_AUTHORS=$(git log "${OLD_COREBOOT_VERSION}" | grep -e '^Author:' | sed 's/.*Author: //' | sed 's/ <.*.>//' | sort | uniq > before_names.txt && git log | grep -e '^Author:' | sed 's/.*Author: //' | sed 's/ <.*.>//' | sort | uniq > after_names.txt && grep -Fxv -c -f before_names.txt after_names.txt && rm before_names.txt after_names.txt)
+TOTAL_COMMITS=$(git log "${1}..${2}" | grep -c '^commit ')
+printf -- "- Total commits: %s\n" "$TOTAL_COMMITS" >> "$LOGFILE"
+
+#TODO: Fix days between releases - between two branches or tags works well, between individual patches works poorly, as we get the creation date of the patch, not the merge date.
+#DAYS_BETWEEN_RELEASES=$(( ( $(date -ud "$(git show "$NEW_COREBOOT_VERSION" | grep -m 1 '^Date: ' | sed 's/Date:[[:space:]]*//' | sed 's/[+-].*//g')" +'%s') - $(date -ud "$(git show "$OLD_COREBOOT_VERSION" | grep -m 1 '^Date: ' | sed 's/Date:[[:space:]]*//' | sed 's/[+-].*//g')" +'%s') ) /60/60/24 ))
+#AVERAGE_COMMITS=$((TOTAL_COMMITS / DAYS_BETWEEN_RELEASES))
+#printf "- Average daily commits: %s\n" "$AVERAGE_COMMITS"
+
+printf -- "- New authors: %s\n" "$NEW_AUTHORS" >> "$LOGFILE"
+printf -- "- Total authors: %s\n" "$(git log "${OLD_COREBOOT_VERSION}..${NEW_COREBOOT_VERSION}" | grep -e '^Author:' | sed 's/.*Author: //' | sed 's/ <.*.>//' | sort | uniq | wc -l)" >> "$LOGFILE"
+printf -- "- Reviewers on submitted patches: %s\n" "$(git log "${OLD_COREBOOT_VERSION}..${NEW_COREBOOT_VERSION}" | grep -e '^ *Reviewed-by: ' | sed 's/.*Reviewed-by: //' | sed 's/ <.*.>//' | sort | uniq | wc -l)" >> "$LOGFILE"
+
+printf "\nOld SLOC (%s)\n%s" "$NOW" "$OLD_SLOC" >> "$LOGFILE"
+printf "\nNew SLOC (%s)\n%s" "$NOW" "$NEW_SLOC" >> "$LOGFILE"
+
+# Add the collected data to the top of the existing logfile for parsing
+if [ -n "$UPDATE_MAIN_LOGFILE" ]; then
+ tmpfile="$(mktemp "LOGFILE.XXXX")"
+ grep -Fxv -f "$MAIN_LOGFILE" "$LOGFILE" > "$tmpfile"
+ printf "\n\n" >> "$tmpfile"
+ cat "$MAIN_LOGFILE" >> "$tmpfile"
+ mv "$tmpfile" "$MAIN_LOGFILE"
+ rm -f "$LOGFILE"
+fi
Timothy Pearson (tpearson(a)raptorengineeringinc.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/12317
-gerrit
commit a649ce9bf77341170306c350b677f55276d7612d
Author: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
Date: Tue Nov 3 19:02:26 2015 -0600
src: Increase maximum blootblock execution count
Most AMD and Intel x86 hardware requires at minimum two warm
resets when booting from S5 (power off). This is uncomfortably
close to the maximum bootblock execution count, and has resulted
in unstable normal/fallback operation on some machines.
Increase the maximum bootblock execution count before fallback
to 6. This translates to roughly 2 - 3 failed boots before fallback
mode will engage, with an absolute worst case of pushing the reset
button 5 times to engage fallback mode in the absence of a dedicated
recovery jumper.
Change-Id: I1911f1b77f168835b516e6a915d5b6949f47219a
Signed-off-by: Timothy Pearson <tpearson(a)raptorengineeringinc.com>
---
src/Kconfig | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/src/Kconfig b/src/Kconfig
index 865f7f5..9b04f2b 100644
--- a/src/Kconfig
+++ b/src/Kconfig
@@ -1108,7 +1108,7 @@ config REG_SCRIPT
config MAX_REBOOT_CNT
int
- default 3
+ default 6
help
Internal option that sets the maximum number of bootblock executions allowed
with the normal image enabled before assuming the normal image is defective
the following patch was just integrated into master:
commit 50a29f8170737acddbac11213e0bd017cf3c48dc
Author: Stefan Reinauer <stefan.reinauer(a)coreboot.org>
Date: Wed Oct 28 18:14:38 2015 -0700
Drop SuperIO smsc/fdc37m60x
All boards using this SuperIO have been removed from the tree already.
Change-Id: I52847bc2fc16b27ac0de0bc7c847221b1e5cb744
Signed-off-by: Stefan Reinauer <stefan.reinauer(a)coreboot.org>
Reviewed-on: http://review.coreboot.org/12245
Tested-by: build bot (Jenkins)
Reviewed-by: Ronald G. Minnich <rminnich(a)gmail.com>
See http://review.coreboot.org/12245 for details.
-gerrit
the following patch was just integrated into master:
commit 09c0c114e6646be978a85e3266e0c8ae1241119f
Author: Aaron Durbin <adurbin(a)chromium.org>
Date: Wed Sep 30 12:33:01 2015 -0500
util/cbmem: remove duplicated cbmem data structure logic.
The cbmem utility shouldn't be using the intra coreboot
data structures for obtaining the produced data/information.
Instead use the newly added cbmem records in the coreboot
tables for pulling out the data one wants by using the
generic indexing of coreboot table entries.
BUG=chrome-os-partner:43731
BRANCH=None
TEST=Interrogated cbmem table of contents with updated code.
Change-Id: I51bca7d34baf3b3a856cd5e585c8d5e3d8af1d1c
Reviewed-on: http://review.coreboot.org/11758
Tested-by: build bot (Jenkins)
Reviewed-by: Patrick Georgi <pgeorgi(a)google.com>
See http://review.coreboot.org/11758 for details.
-gerrit